Translation updates for glibc 2.3.x - missing .pot

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Translation updates for glibc 2.3.x - missing .pot

Jakub Bogusz
It appears that GNU TP still doesn't have .pot files for glibc > 2.3.3,
so there is no way to upload translation updates through TP.
Even .pot file in glibc-2.3.6 tarball is not updated.
Could .pot file be updated in GNU TP?

I prepared updates for my own purposes, but they live only in PLD.
For reference - links to updated .pot and pl.po:
http://qboosh.cs.net.pl/pl.po/libc-2.3.6.pot
http://qboosh.cs.net.pl/pl.po/libc-2.3.6.pl.po

Note that xgettext <= 0.14.x produces two wrong msgids in ldd.bash.in:

msgid "ldd: option `$1' is ambiguous"
msgid "Try `ldd --help' for more information."

instead of:

msgid "ldd: option \\`$1' is ambiguous"
msgid "Try \\`ldd --help' for more information."

I've reported it to GNU gettext project and it should be fixed in
gettext 0.15.


--
Jakub Bogusz    http://qboosh.cs.net.pl/